Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6878782

Firefox 3.6 Alpha1 does not recognise/support classic plugin.

    XMLWordPrintable

    Details

    • Subcomponent:
    • CPU:
      generic
    • OS:
      generic

      Backports

        Description

        Firefox 3.6 Alpha1 does not recognise/support classic plugin.

        Download Firefox 3.6 Alpha1 from the following URL.

        https://developer.mozilla.org/devnews/index.php/2009/08/07/firefox-3-6-alpha-1-now-available-for-download/

        Install either on a Windows box or a Linux box.

        Install 5u22b01.

        On Windows plugin registration is automatic. Attempt to load some applets from the following URL.
        http://java.sun.com/products/plugin/1.5.0/demos/plugin/applets.html
        Applets do not load, browser crashes in some cases.

        Manually register plugin on Linux (creating symbolic link from libjavaplugin_oji.so to browser's plugin directory).
        Attempt to load some applets from the following URL.
        http://java.sun.com/products/plugin/1.5.0/demos/plugin/applets.html
        Applets do not load.

        Same issue is seen with JDK1.4.2_22b01.
        Same issue is seen with JDK 6u17b01 (classic plugin).

        Issue is NOT seem with JDK6u17b01 (new plugin).

        It looks like Firefox 3.6 Alpha1 only supports new-plugin in JDK6+.

        Have we received official confirmation from Mozilla that this is what they are pursuing?

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                Unassigned Unassigned
                Reporter:
                rmcphers Raymond Mcpherson (Inactive)
                Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:
                  Imported:
                  Indexed: